The Last Outpost

<

A vSlider Image

>

<

A vSlider Image

>

<

A vSlider Image

>

<

A vSlider Image

>

<

A vSlider Image

>

<

A vSlider Image

>

Latest Announcements

Welcome, Guest. Please login or register.
Did you miss your activation email?
Pages: [1] 2

Author Topic: Problems converting RPG-XCE to rpgxEF. [CLOSED]  (Read 1859 times)

Serris

  • Elder Statesperson
  • *
  • Offline Offline
  • Posts: 1193
    • View Profile
Problems converting RPG-XCE to rpgxEF. [CLOSED]
« on: December 28, 2012, 01:28:18 pm »

I'm in the process of setting up an rpgxEF 8.4.6 server and wanted to test the new engine before I committed to converting the server from ioEF. I ran into a few map-specific problems I was hoping someone could help with:


All variants of USS_Poseidon_A will crash the client on map load. This includes V2-Poseidon-A, Yager-E_Final, and RPG_Relativity.

USS_Salem_A_V2 causes an unusual runtime termination crash on map load. USS_Salem_A still works, however.

HarryYoung's Enterprise-E LUA upgrade 1.3a will cause Enterprise-E, Enterprise-E-V2, and Enterprise-E-Express to crash the client on map load. Removing this file will allow you to use the maps. Similarly, HarryYoung's RPG_Magnificent LUA upgrade may cause RPG_Magnificent to crash on map load. I removed this file after discovering the problem with the Enterprise file, so I couldn't test it myself.
« Last Edit: December 28, 2012, 01:30:46 pm by Serris »
Logged

Telex Ferra

  • Elder Statesperson
  • *
  • Offline Offline
  • Posts: 3835
    • View Profile
Re: Problems converting RPG-XCE to rpgxEF. [CLOSED]
« Reply #1 on: December 28, 2012, 01:35:29 pm »

Try running all of these maps on the previous stable release 8.4.4 and see what happens. 8.4.6. is quite buggy.
Logged




Serris

  • Elder Statesperson
  • *
  • Offline Offline
  • Posts: 1193
    • View Profile
Re: Problems converting RPG-XCE to rpgxEF. [CLOSED]
« Reply #2 on: December 28, 2012, 01:37:42 pm »

Try running all of these maps on the previous stable release 8.4.4 and see what happens. 8.4.6. is quite buggy.

Should I downgrade the engine itself as well, or just RPG-X 2?
Logged

Telex Ferra

  • Elder Statesperson
  • *
  • Offline Offline
  • Posts: 3835
    • View Profile
Re: Problems converting RPG-XCE to rpgxEF. [CLOSED]
« Reply #3 on: December 28, 2012, 01:39:13 pm »

The server needs to match the client connecting, so both need to be downgraded.
Logged




Serris

  • Elder Statesperson
  • *
  • Offline Offline
  • Posts: 1193
    • View Profile
Re: Problems converting RPG-XCE to rpgxEF. [CLOSED]
« Reply #4 on: December 28, 2012, 01:44:13 pm »

Downgrading RPG-X2 to 8.4.4 and removing a few more suspect .PK3s seems to have fixed the problem. I'm still running engine v0.1 10/30/2012, though. I assume there aren't many servers running that version?
Logged

Veritas

  • Elder Statesperson
  • *
  • Offline Offline
  • Posts: 4673
    • View Profile
    • The Last Outpost
Re: Problems converting RPG-XCE to rpgxEF. [CLOSED]
« Reply #5 on: December 28, 2012, 02:17:12 pm »

The engine you run on the client-side doesn't matter; all that really matters is what your server libraries are. I highly recommend sticking with 8.4.4; in the not-too-distant future, it's what we'll be using in our RPG-X server.
Logged

Serris

  • Elder Statesperson
  • *
  • Offline Offline
  • Posts: 1193
    • View Profile
Re: Problems converting RPG-XCE to rpgxEF. [CLOSED]
« Reply #6 on: December 28, 2012, 04:12:16 pm »

Just a heads up, those LUA extensions by HarryYoung and the updated location entities for old maps in RPG-X 2 caused my installation to be completely unplayable. Removing them fixed the problem.
« Last Edit: December 29, 2012, 07:33:04 am by Serris »
Logged

GSIO01

  • Captain (G)
  • *
  • Offline Offline
  • Posts: 208
    • View Profile
Re: Problems converting RPG-XCE to rpgxEF. [CLOSED]
« Reply #7 on: December 29, 2012, 06:07:06 am »

These old rpgxEF versions still require the lua dll present on windows or the lua shared library installed on the system on linux.  If this is not the case using lua result in the game/server crashing.
Logged

Serris

  • Elder Statesperson
  • *
  • Offline Offline
  • Posts: 1193
    • View Profile
Re: Problems converting RPG-XCE to rpgxEF. [CLOSED]
« Reply #8 on: December 29, 2012, 07:26:56 am »

I was referring to HarryYoung's mods, not the engine's LUA support.


Anyway, I've run into another road block. Everything was working fine before, but now, it seems there's a problem. The menu text is screwed up, and the game can't load anything. It seems to think it's running RPG-X 2.1. I followed the installation instructions, but... Yep.


EDIT: It seems to be dependent on one very stupid little step and I can't figure out what's causing the problem. It seems like sometimes it works, and other times it doesn't. I've run into this on 8.4.4 and 8.4.6. Any chance you guys will release that official patch for RPG-XCE soon? This is extremely frustrating.
« Last Edit: December 29, 2012, 08:40:08 am by Serris »
Logged

Telex Ferra

  • Elder Statesperson
  • *
  • Offline Offline
  • Posts: 3835
    • View Profile
Re: Problems converting RPG-XCE to rpgxEF. [CLOSED]
« Reply #9 on: December 29, 2012, 12:45:10 pm »

What's your homepath?

You should make it C:\rpgxEF or wherever you have the game installed.

type fs_homepath to find our what your homepath is

You will need to add set fs_homepath blablabla into your shortcut target since it's write-protected when the game is on.
Logged




Serris

  • Elder Statesperson
  • *
  • Offline Offline
  • Posts: 1193
    • View Profile
Re: Problems converting RPG-XCE to rpgxEF. [CLOSED]
« Reply #10 on: December 31, 2012, 09:20:05 am »

So, I have to create a shortcut and set this manually instead of just launching the game .EXE?
Logged

Veritas

  • Elder Statesperson
  • *
  • Offline Offline
  • Posts: 4673
    • View Profile
    • The Last Outpost
Re: Problems converting RPG-XCE to rpgxEF. [CLOSED]
« Reply #11 on: December 31, 2012, 11:51:14 am »

Basically yes - rpgxEF has to know what mod you're launching or it'll just load vanilla EF.
Logged

Serris

  • Elder Statesperson
  • *
  • Offline Offline
  • Posts: 1193
    • View Profile
Re: Problems converting RPG-XCE to rpgxEF. [CLOSED]
« Reply #12 on: December 31, 2012, 05:09:47 pm »

Dare I ask how I'd go about doing this on a dedicated server?
Logged

Telex Ferra

  • Elder Statesperson
  • *
  • Offline Offline
  • Posts: 3835
    • View Profile
Re: Problems converting RPG-XCE to rpgxEF. [CLOSED]
« Reply #13 on: December 31, 2012, 05:11:56 pm »

A slong as the right pk3 is in the rpg-x2 folder I don't see what the problem would be on a server. Pie, what do you think?
Logged




Serris

  • Elder Statesperson
  • *
  • Offline Offline
  • Posts: 1193
    • View Profile
Re: Problems converting RPG-XCE to rpgxEF. [CLOSED]
« Reply #14 on: December 31, 2012, 05:48:48 pm »

I meant a rented dedicated server. I have the files downloaded with no idea where to put them or what to rename them.
« Last Edit: December 31, 2012, 05:51:55 pm by Serris »
Logged
Pages: [1] 2